package net.knarcraft.armoredelytra.util;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

public class GenericUtilTest {

    @Test
    void testSnakeToCamelCase() {
        Assertions.assertEquals("testCase", GenericUtil.snakeToCamelCase("TeSt_Case"));
        Assertions.assertEquals("testCase", GenericUtil.snakeToCamelCase("____test_case"));
        Assertions.assertEquals("", GenericUtil.snakeToCamelCase("________"));
        Assertions.assertEquals("testCase", GenericUtil.snakeToCamelCase("TeSt__Case____"));
        Assertions.assertEquals("t", GenericUtil.snakeToCamelCase("_T_"));
        Assertions.assertEquals("testcase", GenericUtil.snakeToCamelCase("TeStCase"));
    }
    
}
